import urllib
import urllib2
import xml.etree.ElementTree as etree
from datetime import datetime
import RPi.GPIO as GPIO

GPIO.setmode(GPIO.BCM)

#the GPIO25 pin will be used as output
GPIO.setup(25, GPIO.OUT)

#creates the datetime object corresponding to the present
now = datetime.now()

service = urllib2.urlopen(
  "http://www.earthtools.org/sun/45.4641611/9.1903361/" + str(now.day)
  + ”/“ + str(now.month) + "/1/1")
response = service.read()

#parses the xml from a string:
responsetree = etree.fromstring(response)
print "The sun rises at: " + responsetree[3][0].text

#converts the time from text into a datetime object
wakeup = datetime.strptime(responsetree[3][0].text, '%H:%M:%S')

#wakeup hasn't set the date: we need to copy it from now
wakeup = wakeup.replace(now.year, now.month, now.day)
if (now > wakeup)
	print "turn off the light"
	GPIO.output(25, GPIO.LOW)
else:
	print "turn on the light"
	GPIO.output(25, GPIO.HIGH)